javax.validation

## Interface BootstrapConfiguration

-     public interface BootstrapConfiguration

  Represents the user specified default configuration in `META-INF/validation.xml`.

  Note that modifications to the returned objects do not have any effect. Instead use the methods provided on `Configuration` in order to apply modifications to the configuration.
  Since:
    1.1
  Author:
    Emmanuel Bernard, Gunnar Morling, Hardy Ferentschik

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getConstraintMappingResourcePaths()` Returns a set of resource paths pointing to XML constraint mapping files.
    `String` | `getConstraintValidatorFactoryClassName()` Class name of the `ConstraintValidatorFactory` implementation or `null` if none is specified.
    `String` | `getDefaultProviderClassName()` Class name of the `ValidationProvider` implementation or `null` if none is specified.
    `Set<ExecutableType>` | `getDefaultValidatedExecutableTypes()` Returns the set of executable types that should be considered unless explicitly overridden via `ValidateOnExecution` Returns a set containing `ExecutableType.CONSTRUCTORS` and `ExecutableType.NON_GETTER_METHODS` if unspecified in the configuration.
    `String` | `getMessageInterpolatorClassName()` Class name of the `MessageInterpolator` implementation or `null` if none is specified.
    `String` | `getParameterNameProviderClassName()` Class name of the `ParameterNameProvider` implementation or `null` if none is specified.
    `Map<String,String>` | `getProperties()` Returns properties as a map of string based key/value pairs.
    `String` | `getTraversableResolverClassName()` Class name of the `TraversableResolver` implementation or `null` if none is specified.
    `boolean` | `isExecutableValidationEnabled()` Returns true if the validation execution is explicitly marked as enabled or if it is left undefined.

- - ### Method Detail

    - #### getDefaultProviderClassName

          String getDefaultProviderClassName()

      Class name of the `ValidationProvider` implementation or `null` if none is specified.
      Returns:
        validation provider class name

    - #### getConstraintValidatorFactoryClassName

          String getConstraintValidatorFactoryClassName()

      Class name of the `ConstraintValidatorFactory` implementation or `null` if none is specified.
      Returns:
        constraint validator factory class name

    - #### getMessageInterpolatorClassName

          String getMessageInterpolatorClassName()

      Class name of the `MessageInterpolator` implementation or `null` if none is specified.
      Returns:
        message interpolator class name or `null`

    - #### getTraversableResolverClassName

          String getTraversableResolverClassName()

      Class name of the `TraversableResolver` implementation or `null` if none is specified.
      Returns:
        traversable resolver class name or `null`

    - #### getParameterNameProviderClassName

          String getParameterNameProviderClassName()

      Class name of the `ParameterNameProvider` implementation or `null` if none is specified.
      Returns:
        parameter name provider class name or `null`

    - #### getConstraintMappingResourcePaths

          Set<String> getConstraintMappingResourcePaths()

      Returns a set of resource paths pointing to XML constraint mapping files. The set is empty if none are specified.
      Returns:
        set of constraint mapping resource paths

    - #### isExecutableValidationEnabled

          boolean isExecutableValidationEnabled()

      Returns true if the validation execution is explicitly marked as enabled or if it is left undefined.
      Returns:
        whether validation execution is globally enabled

    - #### getDefaultValidatedExecutableTypes

          Set<ExecutableType> getDefaultValidatedExecutableTypes()

      Returns the set of executable types that should be considered unless explicitly overridden via `ValidateOnExecution`

      Returns a set containing `ExecutableType.CONSTRUCTORS` and `ExecutableType.NON_GETTER_METHODS` if unspecified in the configuration.
      Returns:
        set of validated executable types

    - #### getProperties

          Map<String,String> getProperties()

      Returns properties as a map of string based key/value pairs. The map is empty if no property has been specified.
      Returns:
        the properties map

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.